[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Unable to update Rawhide



On Sun, Apr 05, 2009 at 08:36:02PM +1000, Greg wrote:
> On 5/04/2009 8:26 PM, Adam Huffman wrote:
>> On Sun, Apr 05, 2009 at 01:02:15PM +0300, Aioanei Rares wrote:
>>    
>>> I have updated my rawhide frequently, but I can't update rpm, because of
>>> Running rpm_check_debug
>>> Running Transaction Test
>>> Finished Transaction Test
>>> Transaction Test Succeeded
>>> Running Transaction
>>>


>>> --nogpgcheck doesn't help, nor does yum clean all.
>>>
>>>      
>>
>> Yes, exactly the same for me.  Running rpm directly on the downloaded
>> files has the same result.
>>
>>    
> have you both tried repairing your rpm database?

Alright, let me see if I can find the other solution, (though at this
point, don't know if that will help either. 

Ah, here it is, from Feb 28th.  I don't know if this will work for you,
but perhaps.  
Hopefully, you either have or can install yum-downloadonly.  In this
case, I was able to install db4-utils with yum without errors.  Then, I
got rpm-4.6.0-8, rpm-libs and rpm-python from koji.  I would think that
that shouldn't be necessary now, especially if you have the yum-download
only available. 

So, after getting all that, it puts what it downloaded in
/var/cache/yum/packages.  From there, I swas able to do rpm -Uvh *rpm. 

Again, this was an issue from the end of February, so it may not apply

-- 
Scott Robbins
PGP keyID EB3467D6
( 1B48 077D 66F6 9DB0 FDC2 A409 FA54 EB34 67D6 )
gpg --keyserver pgp.mit.edu --recv-keys EB3467D6

Spike:'Made with care for Randy.' (looks at Giles angrily) Randy 
Giles? Why not just call me 'Horny Giles,' or 'Desperate for a 
Shag Giles'? I knew there was a reason I hated you!
Giles: Randy's ... a family name, undoubtedly.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]